package web

import (
	_ "github.com/TeaOSLab/EdgeAdmin/internal/tasks"
	_ "github.com/TeaOSLab/EdgeAdmin/internal/web/actions/default/about"
	_ "github.com/TeaOSLab/EdgeAdmin/internal/web/actions/default/files"

	// 系统用户
	_ "github.com/TeaOSLab/EdgeAdmin/internal/web/actions/default/admins"

	// API节点
	_ "github.com/TeaOSLab/EdgeAdmin/internal/web/actions/default/settings/api"
	_ "github.com/TeaOSLab/EdgeAdmin/internal/web/actions/default/settings/api/node"

	// 节点集群
	_ "github.com/TeaOSLab/EdgeAdmin/internal/web/actions/default/clusters"
	_ "github.com/TeaOSLab/EdgeAdmin/internal/web/actions/default/clusters/cluster"
	_ "github.com/TeaOSLab/EdgeAdmin/internal/web/actions/default/clusters/cluster/settings"
	_ "github.com/TeaOSLab/EdgeAdmin/internal/web/actions/default/clusters/grants"
	_ "github.com/TeaOSLab/EdgeAdmin/internal/web/actions/default/clusters/logs"
	_ "github.com/TeaOSLab/EdgeAdmin/internal/web/actions/default/clusters/regions"
	_ "github.com/TeaOSLab/EdgeAdmin/internal/web/actions/default/clusters/tasks"

	// 通用
	_ "github.com/TeaOSLab/EdgeAdmin/internal/web/actions/default/csrf"
	_ "github.com/TeaOSLab/EdgeAdmin/internal/web/actions/default/dashboard"
	_ "github.com/TeaOSLab/EdgeAdmin/internal/web/actions/default/db"
	_ "github.com/TeaOSLab/EdgeAdmin/internal/web/actions/default/dns"
	_ "github.com/TeaOSLab/EdgeAdmin/internal/web/actions/default/dns/tasks"
	_ "github.com/TeaOSLab/EdgeAdmin/internal/web/actions/default/index"
	_ "github.com/TeaOSLab/EdgeAdmin/internal/web/actions/default/log"
	_ "github.com/TeaOSLab/EdgeAdmin/internal/web/actions/default/login"
	_ "github.com/TeaOSLab/EdgeAdmin/internal/web/actions/default/logout"
	_ "github.com/TeaOSLab/EdgeAdmin/internal/web/actions/default/messages"
	_ "github.com/TeaOSLab/EdgeAdmin/internal/web/actions/default/nodes"
	_ "github.com/TeaOSLab/EdgeAdmin/internal/web/actions/default/ui"

	// 服务相关
	_ "github.com/TeaOSLab/EdgeAdmin/internal/web/actions/default/servers"
	_ "github.com/TeaOSLab/EdgeAdmin/internal/web/actions/default/servers/certs"
	_ "github.com/TeaOSLab/EdgeAdmin/internal/web/actions/default/servers/components/cache"
	_ "github.com/TeaOSLab/EdgeAdmin/internal/web/actions/default/servers/components/cache/batch"
	_ "github.com/TeaOSLab/EdgeAdmin/internal/web/actions/default/servers/components/log"
	_ "github.com/TeaOSLab/EdgeAdmin/internal/web/actions/default/servers/components/waf"
	_ "github.com/TeaOSLab/EdgeAdmin/internal/web/actions/default/servers/groups"
	_ "github.com/TeaOSLab/EdgeAdmin/internal/web/actions/default/servers/groups/group/settings/httpReverseProxy"
	_ "github.com/TeaOSLab/EdgeAdmin/internal/web/actions/default/servers/groups/group/settings/index"
	_ "github.com/TeaOSLab/EdgeAdmin/internal/web/actions/default/servers/groups/group/settings/remoteAddr"
	_ "github.com/TeaOSLab/EdgeAdmin/internal/web/actions/default/servers/groups/group/settings/tcpReverseProxy"
	_ "github.com/TeaOSLab/EdgeAdmin/internal/web/actions/default/servers/groups/group/settings/udpReverseProxy"
	_ "github.com/TeaOSLab/EdgeAdmin/internal/web/actions/default/servers/logs"
	_ "github.com/TeaOSLab/EdgeAdmin/internal/web/actions/default/servers/metrics"
	_ "github.com/TeaOSLab/EdgeAdmin/internal/web/actions/default/servers/metrics/charts"
	_ "github.com/TeaOSLab/EdgeAdmin/internal/web/actions/default/servers/server"
	_ "github.com/TeaOSLab/EdgeAdmin/internal/web/actions/default/servers/server/delete"
	_ "github.com/TeaOSLab/EdgeAdmin/internal/web/actions/default/servers/server/log"
	_ "github.com/TeaOSLab/EdgeAdmin/internal/web/actions/default/servers/server/settings"
	_ "github.com/TeaOSLab/EdgeAdmin/internal/web/actions/default/servers/server/settings/access"
	_ "github.com/TeaOSLab/EdgeAdmin/internal/web/actions/default/servers/server/settings/accessLog"
	_ "github.com/TeaOSLab/EdgeAdmin/internal/web/actions/default/servers/server/settings/cache"
	_ "github.com/TeaOSLab/EdgeAdmin/internal/web/actions/default/servers/server/settings/charset"
	_ "github.com/TeaOSLab/EdgeAdmin/internal/web/actions/default/servers/server/settings/common"
	_ "github.com/TeaOSLab/EdgeAdmin/internal/web/actions/default/servers/server/settings/compression"
	_ "github.com/TeaOSLab/EdgeAdmin/internal/web/actions/default/servers/server/settings/conds"
	_ "github.com/TeaOSLab/EdgeAdmin/internal/web/actions/default/servers/server/settings/dns"
	_ "github.com/TeaOSLab/EdgeAdmin/internal/web/actions/default/servers/server/settings/fastcgi"
	_ "github.com/TeaOSLab/EdgeAdmin/internal/web/actions/default/servers/server/settings/headers"
	_ "github.com/TeaOSLab/EdgeAdmin/internal/web/actions/default/servers/server/settings/http"
	_ "github.com/TeaOSLab/EdgeAdmin/internal/web/actions/default/servers/server/settings/https"
	_ "github.com/TeaOSLab/EdgeAdmin/internal/web/actions/default/servers/server/settings/locations"
	_ "github.com/TeaOSLab/EdgeAdmin/internal/web/actions/default/servers/server/settings/locations/access"
	_ "github.com/TeaOSLab/EdgeAdmin/internal/web/actions/default/servers/server/settings/locations/accessLog"
	_ "github.com/TeaOSLab/EdgeAdmin/internal/web/actions/default/servers/server/settings/locations/cache"
	_ "github.com/TeaOSLab/EdgeAdmin/internal/web/actions/default/servers/server/settings/locations/charset"
	_ "github.com/TeaOSLab/EdgeAdmin/internal/web/actions/default/servers/server/settings/locations/compression"
	_ "github.com/TeaOSLab/EdgeAdmin/internal/web/actions/default/servers/server/settings/locations/fastcgi"
	_ "github.com/TeaOSLab/EdgeAdmin/internal/web/actions/default/servers/server/settings/locations/headers"
	_ "github.com/TeaOSLab/EdgeAdmin/internal/web/actions/default/servers/server/settings/locations/http"
	_ "github.com/TeaOSLab/EdgeAdmin/internal/web/actions/default/servers/server/settings/locations/location"
	_ "github.com/TeaOSLab/EdgeAdmin/internal/web/actions/default/servers/server/settings/locations/pages"
	_ "github.com/TeaOSLab/EdgeAdmin/internal/web/actions/default/servers/server/settings/locations/referers"
	_ "github.com/TeaOSLab/EdgeAdmin/internal/web/actions/default/servers/server/settings/locations/remoteAddr"
	_ "github.com/TeaOSLab/EdgeAdmin/internal/web/actions/default/servers/server/settings/locations/requestLimit"
	_ "github.com/TeaOSLab/EdgeAdmin/internal/web/actions/default/servers/server/settings/locations/reverseProxy"
	_ "github.com/TeaOSLab/EdgeAdmin/internal/web/actions/default/servers/server/settings/locations/rewrite"
	_ "github.com/TeaOSLab/EdgeAdmin/internal/web/actions/default/servers/server/settings/locations/stat"
	_ "github.com/TeaOSLab/EdgeAdmin/internal/web/actions/default/servers/server/settings/locations/userAgent"
	_ "github.com/TeaOSLab/EdgeAdmin/internal/web/actions/default/servers/server/settings/locations/waf"
	_ "github.com/TeaOSLab/EdgeAdmin/internal/web/actions/default/servers/server/settings/locations/web"
	_ "github.com/TeaOSLab/EdgeAdmin/internal/web/actions/default/servers/server/settings/locations/webp"
	_ "github.com/TeaOSLab/EdgeAdmin/internal/web/actions/default/servers/server/settings/locations/websocket"
	_ "github.com/TeaOSLab/EdgeAdmin/internal/web/actions/default/servers/server/settings/origins"
	_ "github.com/TeaOSLab/EdgeAdmin/internal/web/actions/default/servers/server/settings/pages"
	_ "github.com/TeaOSLab/EdgeAdmin/internal/web/actions/default/servers/server/settings/redirects"
	_ "github.com/TeaOSLab/EdgeAdmin/internal/web/actions/default/servers/server/settings/referers"
	_ "github.com/TeaOSLab/EdgeAdmin/internal/web/actions/default/servers/server/settings/remoteAddr"
	_ "github.com/TeaOSLab/EdgeAdmin/internal/web/actions/default/servers/server/settings/requestLimit"
	_ "github.com/TeaOSLab/EdgeAdmin/internal/web/actions/default/servers/server/settings/reverseProxy"
	_ "github.com/TeaOSLab/EdgeAdmin/internal/web/actions/default/servers/server/settings/rewrite"
	_ "github.com/TeaOSLab/EdgeAdmin/internal/web/actions/default/servers/server/settings/serverNames"
	_ "github.com/TeaOSLab/EdgeAdmin/internal/web/actions/default/servers/server/settings/stat"
	_ "github.com/TeaOSLab/EdgeAdmin/internal/web/actions/default/servers/server/settings/tcp"
	_ "github.com/TeaOSLab/EdgeAdmin/internal/web/actions/default/servers/server/settings/tls"
	_ "github.com/TeaOSLab/EdgeAdmin/internal/web/actions/default/servers/server/settings/udp"
	_ "github.com/TeaOSLab/EdgeAdmin/internal/web/actions/default/servers/server/settings/userAgent"
	_ "github.com/TeaOSLab/EdgeAdmin/internal/web/actions/default/servers/server/settings/waf"
	_ "github.com/TeaOSLab/EdgeAdmin/internal/web/actions/default/servers/server/settings/web"
	_ "github.com/TeaOSLab/EdgeAdmin/internal/web/actions/default/servers/server/settings/webp"
	_ "github.com/TeaOSLab/EdgeAdmin/internal/web/actions/default/servers/server/settings/websocket"
	_ "github.com/TeaOSLab/EdgeAdmin/internal/web/actions/default/servers/server/stat"

	// IP相关
	_ "github.com/TeaOSLab/EdgeAdmin/internal/web/actions/default/servers/ipbox"
	_ "github.com/TeaOSLab/EdgeAdmin/internal/web/actions/default/servers/iplists"

	// 设置相关
	_ "github.com/TeaOSLab/EdgeAdmin/internal/web/actions/default/settings"
	_ "github.com/TeaOSLab/EdgeAdmin/internal/web/actions/default/settings/backup"
	_ "github.com/TeaOSLab/EdgeAdmin/internal/web/actions/default/settings/database"
	_ "github.com/TeaOSLab/EdgeAdmin/internal/web/actions/default/settings/lang"
	_ "github.com/TeaOSLab/EdgeAdmin/internal/web/actions/default/settings/login"
	_ "github.com/TeaOSLab/EdgeAdmin/internal/web/actions/default/settings/profile"
	_ "github.com/TeaOSLab/EdgeAdmin/internal/web/actions/default/settings/security"
	_ "github.com/TeaOSLab/EdgeAdmin/internal/web/actions/default/settings/server"
	_ "github.com/TeaOSLab/EdgeAdmin/internal/web/actions/default/settings/transfer"
	_ "github.com/TeaOSLab/EdgeAdmin/internal/web/actions/default/settings/ui"
	_ "github.com/TeaOSLab/EdgeAdmin/internal/web/actions/default/settings/updates"
	_ "github.com/TeaOSLab/EdgeAdmin/internal/web/actions/default/settings/upgrade"

	// 恢复
	_ "github.com/TeaOSLab/EdgeAdmin/internal/web/actions/default/recover"

	// 安装
	_ "github.com/TeaOSLab/EdgeAdmin/internal/web/actions/default/setup"
	_ "github.com/TeaOSLab/EdgeAdmin/internal/web/actions/default/setup/confirm"

	// 平台用户
	_ "github.com/TeaOSLab/EdgeAdmin/internal/web/actions/default/users"
)
